#include <iostream>
using namespace std;
int main(){
int n,k,a,l,br=0;
cin>>n>>k;
l=2*n+1;
int x[l];
for(int i=0;i<l;i++)
x[i]=0;
for(int i=0;i<n;i++){
cin>>a;
x[n+a]++;
}
for(int i=0;i<l;i++){
br+=x[i]/k;
}
cout<<br;
for(int i=0;i<l,br>0;i++){
    while(x[i]>=k){
        x[i]-=k;
    cout<<i-n;
    br--;}
}



return 0;


}